com.versionone.apiclient

## Class EnvironmentContext

- java.lang.Object
- - com.versionone.apiclient.EnvironmentContext

- Deprecated.
  This class has been deprecated. Please use V1Connector instead.

      @Deprecated
      public final class EnvironmentContext
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnvironmentContext()` Deprecated.
    `EnvironmentContext(IModelsAndServices modelsAndServices)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `IMetaModel` | `getMetaModel()` Deprecated.
    `IMetaModel` | `getMetaModelWithProxy()` Deprecated.
    `IServices` | `getServices()` Deprecated.
    `IServices` | `getServicesWithProxy()` Deprecated.
    `V1Configuration` | `getV1Configuration()` Deprecated.
    `V1Configuration` | `getV1ConfigurationWithProxy()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EnvironmentContext

          public EnvironmentContext()
                             throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### EnvironmentContext

          public EnvironmentContext(IModelsAndServices modelsAndServices)

      Deprecated.

  - ### Method Detail

    - #### getMetaModel

          public IMetaModel getMetaModel()

      Deprecated.

    - #### getMetaModelWithProxy

          public IMetaModel getMetaModelWithProxy()
                                           throws URISyntaxException

      Deprecated.
      Throws:
        `URISyntaxException`

    - #### getServices

          public IServices getServices()

      Deprecated.

    - #### getServicesWithProxy

          public IServices getServicesWithProxy()
                                         throws URISyntaxException

      Deprecated.
      Throws:
        `URISyntaxException`

    - #### getV1Configuration

          public V1Configuration getV1Configuration()

      Deprecated.

    - #### getV1ConfigurationWithProxy

          public V1Configuration getV1ConfigurationWithProxy()
                                                      throws URISyntaxException

      Deprecated.
      Throws:
        `URISyntaxException`

Copyright © 2016 VersionOne, Inc.. All rights reserved.